<?php
/**
 * Integration for handling the plugin settings.
 *
 * @since 2.2.0
 */

namespace Themesquad\WC_Amazon_S3_Storage\Admin\Settings;

use Themesquad\WC_Amazon_S3_Storage\Internal\Admin\Settings\Abstracts\Integration as Integration_Base;

/**
 * Integration class.
 */
class Integration extends Integration_Base {

	/**
	 * Constructor.
	 *
	 * @since 2.2.0
	 */
	public function __construct() {
		$this->method_title = _x( 'Amazon S3 Storage', 'settings page title', 'woocommerce-amazon-s3-storage' );

		parent::__construct();
	}

	/**
	 * Initializes the settings API.
	 *
	 * @since 2.2.0
	 */
	public function init_settings_api() {
		$this->settings_api = new General();
	}
}
