<?php
/**
 * Update: Expire region transients v2.1.5.
 *
 * @since 2.5.0
 */

namespace Themesquad\WC_Amazon_S3_Storage\Database\Updates;

defined( 'ABSPATH' ) || exit;

use Themesquad\WC_Amazon_S3_Storage\Internal\Abstracts\Update;

/**
 * Class Update_215_Expire_Transients.
 */
class Update_215_Expire_Region_Transients extends Update {

	/**
	 * Runs the update.
	 *
	 * @since 2.5.0
	 *
	 * @global \wpdb $wpdb WordPress database access abstraction.
	 *
	 * @return false
	 */
	public function run() {
		global $wpdb;

		/*
		 * In 2.1.5 we changed transient to be hourly.
		 * So we must clear the current transients first as those do not expire, which causes region to be stale.
		 */
		$wpdb->query( "DELETE FROM $wpdb->options WHERE option_name LIKE '%s3-region-%'" );

		return false;
	}
}
