<?php
/**
 * Abstract Background Process class.
 *
 * @since 2.5.0
 */

namespace Themesquad\WC_Amazon_S3_Storage\Internal\Abstracts;

defined( 'ABSPATH' ) || exit;

if ( ! class_exists( 'WC_Background_Process', false ) ) {
	include_once dirname( WC_PLUGIN_FILE ) . '/includes/abstracts/class-wc-background-process.php';
}

/**
 * Class Background_Process.
 */
abstract class Background_Process extends \WC_Background_Process {

	/**
	 * Initiates new background process.
	 *
	 * @since 2.5.0
	 */
	public function __construct() {
		// Uses unique prefix per blog so each blog has separate queue.
		$this->prefix = 'wp_' . get_current_blog_id() . '_wc_amazon_s3_storage';

		parent::__construct();
	}

	/**
	 * Forces the process execution.
	 *
	 * @since 2.5.0
	 */
	public function force_process() {
		do_action( $this->cron_hook_identifier ); // phpcs:ignore WooCommerce.Commenting.CommentHooks.MissingHookComment
	}
}
