<?php
/**
 * Handles the plugin settings.
 *
 * @since 2.4.0
 */

namespace Themesquad\WC_Amazon_S3_Storage;

/**
 * Class Settings.
 */
class Settings {

	/**
	 * Get all settings.
	 *
	 * @since 2.4.0
	 */
	public static function get_settings() {
		return wp_parse_args(
			get_option( 'woo_amazon_s3_storage', array() ),
			array(
				'amazon_access_key'    => '',
				'amazon_access_secret' => '',
				'amazon_url_period'    => '',
				'default_bucket'       => '',
				'default_region'       => '',
			)
		);
	}

	/**
	 * Gets the setting value.
	 *
	 * @since 2.4.0
	 *
	 * @param string $key     The setting key.
	 * @param mixed  $default Optional. Default value if the setting doesn't exist. Default: null.
	 * @return mixed
	 */
	public static function get_setting( $key, $default = null ) {
		$settings = self::get_settings();

		return ( array_key_exists( $key, $settings ) ? $settings[ $key ] : $default );
	}
}
