<?php
/**
 * Log utilities.
 *
 * @since 2.5.0
 */

namespace Themesquad\WC_Amazon_S3_Storage\Utilities;

/**
 * Class Log_utils.
 */
class Log_Utils {

	/**
	 * The logger instance.
	 *
	 * @var \WC_Logger_Interface $log
	 */
	protected static $logger;

	/**
	 * Logs a message.
	 *
	 * @since 2.5.0
	 *
	 * @param string $message The message to log.
	 * @param string $level   The level.
	 * @param string $handle  Optional. The log handler. Default: wc_amazon_s3_storage.
	 */
	public static function log( $message, $level = \WC_Log_Levels::NOTICE, $handle = 'wc_amazon_s3_storage' ) {
		if ( ! self::$logger ) {
			self::$logger = wc_get_logger();
		}

		if ( method_exists( self::$logger, $level ) ) {
			call_user_func( array( self::$logger, $level ), $message, array( 'source' => $handle ) );
		} else {
			self::$logger->add( $handle, $message );
		}
	}
}
