<?php

if ( ! class_exists( 'WC_Abstract_Privacy' ) ) {
	return;
}

/**
 * WooCommerce_Amazon_S3_Storage_Privacy
 *
 * @since 2.2.0
 * @deprecated 2.5.0
 */
class WooCommerce_Amazon_S3_Storage_Privacy extends WC_Abstract_Privacy {
	/**
	 * Constructor
	 */
	public function __construct() {
		parent::__construct( __( 'WooCommerce Amazon S3 Storage', 'woocommerce-amazon-s3-storage' ) );
		wc_deprecated_function( __FUNCTION__, '2.5.0' );
	}

	/**
	 * Gets the message of the privacy to display.
	 */
	public function get_privacy_message() {
		return wpautop(
			sprintf(
				/* translators: %s: WooCommerce Marketplace Privacy link */
				__( 'By using this extension, you may be storing personal data or sharing data with an external service. <a href="%s" target="_blank">Learn more about how this works, including what you may want to include in your privacy policy.</a>', 'woocommerce-amazon-s3-storage' ),
				'https://woocommerce.com/document/marketplace-privacy/#woocommerce-amazon-s3-storage'
			)
		);
	}
}

new WooCommerce_Amazon_S3_Storage_Privacy();
